### Signal

# Phosh Notification::actioned

#### Declaration

    void
    actioned (
      PhoshNotification* self,
      gchar* action,
      gpointer user_data
    )

#### Description [src]

Emitted when the user activates one of the provided actions

This includes the default action.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`action`

  Type: `gchar*`

  The name of the activated action.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.